<?php

namespace FiloBlu\CheckoutExtend\Model\Data;

use FiloBlu\CheckoutExtend\Api\Data\InvoiceInterface;
use Magento\Framework\Api\AbstractSimpleObject;

class Invoice extends AbstractSimpleObject implements InvoiceInterface {

     /**
     * @return bool|null
     */
    public function getFlagInvoice()
    {
        return $this->_get("flag_invoice");
    }

    /**
     * @param bool $flagInvoice
     * @return $this
     */
    public function setFlagInvoice($flagInvoice)
    {
        return $this->setData('flag_invoice', $flagInvoice);
    }
    
     /**
     * @return string|null
     */
    public function getFiscalCode()
    {
        return $this->_get("fiscal_code");
    }

    /**
     * @param string $fiscalCode
     * @return $this
     */
    public function setFiscalCode($fiscalCode)
    {
        return $this->setData('fiscal_code', $fiscalCode);
    }
    
     /**
     * @return string|null
     */
    public function getVatNumber()
    {
        return $this->_get("vat_number");
    }

    /**
     * @param string $vatNumber
     * @return $this
     */
    public function setVatNumber($vatNumber)
    {
        return $this->setData('vat_number', $vatNumber);
    }
    
}
